> For the complete documentation index, see [llms.txt](https://docs.pingu.exchange/pingu-exchange-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pingu.exchange/pingu-exchange-docs/trade/orders/order-parameters.md).

# Order Parameters

Assigned to every order in Pingu's contracts.

| Parameter     | Type      | Description                                             |
| ------------- | --------- | ------------------------------------------------------- |
| orderId       | `uint256` | Incremental.                                            |
| user          | `address` | User that submitted the order.                          |
| asset         | `address` | USDC address or `0x00..00` for MON.                     |
| market        | `string`  | The market this order was submitted on.                 |
| margin        | `uint256` | Collateral (real balance) tied to this order. In wei.   |
| size          | `uint256` | The order's size (margin × leverage). In wei.           |
| price         | `uint256` | The order's price if it's a trigger or protected order. |
| fee           | `uint256` | Fee amount paid. In wei.                                |
| isLong        | `boolean` | Whether the order is a buy or sell order.               |
| orderType     | `uint8`   | `0` for market order, `1` for limit, `2` for stop.      |
| isReduceOnly  | `boolean` | Whether the order is reduce-only.                       |
| timestamp     | `uint256` | `block.timestamp` at which the order was submitted.     |
| expiry        | `uint256` | `block.timestamp` at which the order expires.           |
| cancelOrderId | `uint256` | `orderId` to cancel when this order executes.           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pingu.exchange/pingu-exchange-docs/trade/orders/order-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
